Subject: [Dime] Fw: [Q5/11] Fw: Q.3303.3 Application-Id value

From: Tina TSOU <[email-masked]>
Date: Wed, 29 Oct 2008 15:46:44 +0800

B. R.
Tina
----- Original Message ----- 
From: Tina TSOU 
To: Tom Taylor ; Sun, Dong (Dong) ; [email-masked] 
Cc: [email-masked] 
Sent: Wednesday, October 29, 2008 3:22 PM
Subject: [Q5/11] Fw: Q.3303.3 Application-Id value

Dong, 
Thanks for your reply and work effort with Hannes.
 
All,
Per the observation from Q.5/11, may I summarize the consensus as the following?
 
Does PIA/PIR code need to be included in Q.3303.3 BEFORE TSB publish it?
[Q.5/11: Yes. And we are waiting for IETF to allocate this command code, nevertheless how long it will take.]
 
Would you send us the precise marked up text sections/paragraphs showing the exact text and its location where the codes are to be inserted in the text?
[Q.5/11: In the attachment.]
 
If no objection received before 24:00 Oct 29th CET, I will take the above as Q.5/11 consensus answer to ITU-T SG11 TSB.

P.s. if this email is not able to reach [email-masked] as there is attachment, I will forward it again to that list.

B. R.
Tina
ITU-T Q.5/11 Rapporteur
  ----- Original Message ----- 
  From: Sun, Dong (Dong) 
  To: Tina TSOU ; Tom Taylor 
  Cc: [email-masked] 
  Sent: Wednesday, October 29, 2008 1:35 AM
  Subject: RE: [Q5/11] Fw: Q.3303.3 Application-Id value

  Yes. I think so. Otherwise, it is incomplete and cannot be implemented.
  I am working with Hannes to work it out for the command code. Certainly it is out of our control in terms of the timeframe to get it done. But as a general issue, it will be helpful if your guys can also express the concern in IETF.

  Dong

------------------------------------------------------------------------------
  From: Tina TSOU [mailto:[email-masked]] 
  Sent: Tuesday, October 28, 2008 2:46 AM
  To: Tom Taylor; Sun, Dong (Dong)
  Cc: [email-masked]
  Subject: [Q5/11] Fw: Q.3303.3 Application-Id value

  Hi Dong, Tom et al,
  What's your answer to this question?
  >     1) Does PIA/PIR code need to be included in Q.3303.3 BEFORE TSB publish it?

  B. R.
  Tina
    ----- Original Message ----- 
    From: Sun, Dong (Dong) 
    To: Tina TSOU ; Tom Taylor 
    Cc: [email-masked] 
    Sent: Monday, October 27, 2008 12:15 PM
    Subject: RE: [Q5/11] Fw: Q.3303.3 Application-Id value

    Tina, All,

    I prefer to get an official command code from the IETF eventually since this command PIR/PIA is also used by the ETSI TISPAN Re interface. If it is really a matter to publish this Rec timely, iat least a note is needed for this issue. 

    In addition, I made some update on the AVP flags according to Hannes comment and the application ID. Pls take a look.

    Thanks,

    Dong

----------------------------------------------------------------------------
    From: [email-masked] [mailto:[email-masked]] On Behalf Of Tina TSOU
    Sent: Monday, October 27, 2008 12:05 AM
    To: Tom Taylor
    Cc: [email-masked]
    Subject: [Q5/11] Fw: Q.3303.3 Application-Id value

    Hi Tom,
    Thanks for your detailed comments.

    Then, can we get it as ITU-specified command code?
     
    If no, we can write down in Q.3303.3 that it is mandatory to check the auth-application-ID when using PIR/PIA command.

    B. R.
    Tina
      ----- Original Message ----- 
      From: Tom Taylor 
      To: Tina TSOU 
      Cc: [email-masked] 
      Sent: Monday, October 27, 2008 10:20 AM
      Subject: Re: [Q5/11] Fw: Q.3303.3 Application-Id value

      The argument for using the experimental command code is that it lets us approve 
      our document and publish it. I don't think use of that command code is 
      automatically a threat to interoperability, but this assumes that 
      implementations are careful about checking the auth-application-ID for every 
      command.

      The arguments against are:

      -- This clearly violates the IETF's original intent for command codes, although 
      their attitude may be more relaxed now.

      -- No vendor can add their own experimental commands to their implementation of 
      Q.3303.3, since that would result in a collision with the ITU-specified command 
      code. I have no idea whether vendors actually do this sort of thing.

      Tom Taylor

      Tina TSOU wrote:
      > Dear all,
      > Kind reminder...
      > Hope we can reach consensus before 24:00 Oct 27th CET.
      > 
      > B. R.
      > Tina
      >   ----- Original Message ----- 
      >   From: Tina TSOU 
      >   To: [email-masked] 
      >   Sent: Thursday, October 23, 2008 3:17 PM
      >   Subject: [Q5/11] Fw: Q.3303.3 Application-Id value
      > 
      > 
      >   Dear all,
      >   My personal answer is in line below.
      >   You are encouraged to express your thought.
      > 
      >   B. R.
      >   Tina
      >     ----- Original Message ----- 
      >     From: Tina TSOU 
      >     To: [email-masked] 
      >     Sent: Monday, October 20, 2008 11:39 AM
      >     Subject: [Q5/11] Fw: Q.3303.3 Application-Id value
      > 
      > 
      >     Dear all,
      >     Some questions to the list. Hope we can reach consensus before 24:00 Oct 27th CET. And then I can reply to TSB on behalf of Q.5/11.
      >     1) Does PIA/PIR code need to be included in Q.3303.3 BEFORE TSB publish it?
      >     [Tina: Yes.]
      > 
      >     2) Do you agree that since the command messages would contain the Q.3303.3 application identifier, the code would be unambiguously identified?
      >     [Tina: Yes. We can use the values 16,777,214 as PIR/PIA commands, with the Q.3303.3 application identifier 16777256.]
      > 
      >     3) For the editor Dong SUN, would you send us the precise marked up text sections/paragraphs showing the exact text and its location where the codes are to be inserted in the text?
      > 
      > 
      >     B. R.
      >     Tina
      >     ITU-T Q.5/11 Rapporteur
      ...

_______________________________________________
DiME mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dime